return {
	"rcarriga/nvim-dap-ui",
	dependencies = {
		"mfussenegger/nvim-dap",
		"nvim-neotest/nvim-nio",
	},
	keys = {
		{
			"<F6>",
			function()
				require("dapui").toggle()
			end,
			silent = true,
		},
		{
			"<Leader>dh",
			function()
				require("dap.ui.widgets").hover()
			end,
			silent = true,
		},
		{
			"<Leader>dp",
			function()
				require("dap.ui.widgets").preview()
			end,
			silent = true,
		},
		{
			"<F9>",
			function()
				local widgets = require("dap.ui.widgets")
				widgets.centered_float(widgets.scopes)
			end,
			silent = true,
		},
	},
	opts = {
		icons = {
			expanded = "[-]",
			collapsed = "[+]",
		},
		mappings = {
			open = "o",
			remove = "d",
			edit = "e",
			repl = "r",
			toggle = "t",
		},
		expand_lines = vim.fn.has("nvim-0.7"),
		layouts = {
			{
				elements = {
					"repl",
				},
				size = 0.3,
				position = "bottom",
			},
		},
		floating = {
			max_height = nil,
			max_width = nil,
			border = "single",
			mappings = {
				close = { "q", "<Esc>" },
			},
		},
		windows = { indent = 1 },
		render = {
			max_type_length = nil,
		},
	},
}
